libzypp: ztui::TableRow::Less Struct Reference

libzypp 17.38.14

ztui::TableRow::Less Struct Reference

`#include <zypp-tui/Table.h>`

## Public Types
using | SortParam = std::tuple<unsigned,bool>
| column and sortCI

## Public Member Functions
| Less (const TableHeader &header_r, const std::list< unsigned > &by_columns_r)
bool | operator() (const TableRow &a_r, const TableRow &b_r) const

## Private Member Functions
int | compCol (const SortParam &sortParam_r, const TableRow &a_r, const TableRow &b_r) const

## Static Private Member Functions
static int | defaultStrComp (bool ci_r, const std::string &lhs, const std::string &rhs)
| Natural('sort -V' like) [case insensitive] compare ignoring ANSI SGR chars.

## Private Attributes
std::list< SortParam > | _by_columns

## Detailed Description

Definition at line 322 of file Table.h.

## Member Typedef Documentation

## ◆ SortParam

using ztui::TableRow::Less::SortParam = std::tuple<unsigned,bool>

column and sortCI

Definition at line 324 of file Table.h.

## Constructor & Destructor Documentation

## ◆ Less()

ztui::TableRow::Less::Less | ( | const TableHeader & | header_r,
|  | const std::list< unsigned > & | by_columns_r )
| inline

Definition at line 326 of file Table.h.

## Member Function Documentation

## ◆ operator()()

bool ztui::TableRow::Less::operator() | ( | const TableRow & | a_r,
|  | const TableRow & | b_r ) const
| inline

Definition at line 333 of file Table.h.

## ◆ compCol()

int ztui::TableRow::Less::compCol | ( | const SortParam & | sortParam_r,
|  | const TableRow & | a_r,
|  | const TableRow & | b_r ) const
| inlineprivate

Definition at line 344 of file Table.h.

## ◆ defaultStrComp()

int ztui::TableRow::Less::defaultStrComp | ( | bool | ci_r,
|  | const std::string & | lhs,
|  | const std::string & | rhs )
| staticprivate

Natural('sort -V' like) [case insensitive] compare ignoring ANSI SGR chars.

Definition at line 116 of file Table.cc.

## Member Data Documentation

## ◆ _by_columns

std::list<SortParam> ztui::TableRow::Less::_by_columns
| private

Definition at line 393 of file Table.h.

The documentation for this struct was generated from the following files:

- zypp-tui/Table.h
- zypp-tui/Table.cc